;Calc Lock Lite
;By Jamie Smith
;BioJayC@aol.com
;Http://www.geocities.com/biojayc

#include "Crash82.inc"
.db "CalcLock lite ",0


 ld a,(SPECIAL)
 cp $80
 jp z,LOCK_CALL
 ld a,$80
 ld (SPECIAL),a
 jp SETUP
LOCK_CALL:
 call LOCK
 jp MENU


LOCK:
 ld a,$00
 ld (BYTE5),a
 ld (BYTE6),a
 ld (BYTE7),a
 ld (BYTE8),a
 ROM_CALL(CLEARLCD)
 TEXT_START
 CALL $7EA
 TEXT_END
 ld hl,$0000
 ld (CURSOR_POS),hl
 ld hl,PASS
 set 3,(IY+05)
 ROM_CALL(D_ZT_STR)
 res 3,(IY+05)
 ld hl,$0001
 ld (CURSOR_POS),hl
 ld hl,Dash
 ROM_CALL(D_ZT_STR)


Password_loop:
 ld hl,$0002
 ld (CURSOR_POS),hl
 call GET_KEY
 cp G_GRAPH
 jr nz,pass1
Spass1:
 call GET_KEY
 cp G_ZOOM
 jp z,MENU
 cp G_NONE
 jr nz,Spass2
 jr Spass1
Spass2:
 ld (BYTE5),a
 jr pass2
pass1:
 call GET_KEY
 ld (BYTE5),a
 cp $00
 JR nz,pass2
 JR pass1
pass2:
 ld hl,AST1
 ROM_CALL(D_ZT_STR)
 ld hl,$0102
 ld (CURSOR_POS),hl
Pass22:
 call GET_KEY
 ld (BYTE6),a
 cp $00
 JR nz,pass3
 JR Pass22
pass3:
 ld hl,AST1
 ROM_CALL(D_ZT_STR)
 ld hl,$0202
 ld (CURSOR_POS),hl
pass33:
 call GET_KEY
 ld (BYTE7),a
 cp $00
 JR nz,pass4
 JR pass33
pass4:
 ld hl,AST1
 ROM_CALL(D_ZT_STR)
pass44:
 call GET_KEY
 ld (BYTE8),a
 cp $00
 JR nz,MENUB
 JR pass44
MENUB:
 ld hl,AST1
 ROM_CALL(D_ZT_STR)
holdit:
 call GET_KEY
 cp G_ENTER
 jr z,Some_stupid_label
 jr holdit
Some_stupid_label:
 ld a,(BYTE5)
 ld e,a
 ld a,(BYTE1)
 cp e
 jp nz,LOCK
 ld a,(BYTE6)
 ld e,a
 ld a,(BYTE2)
 cp e
 jp nz,LOCK
 ld a,(BYTE7)
 ld e,a
 ld a,(BYTE3)
 cp e
 jp nz,LOCK
 ld a,(BYTE8)
 ld e,a
 ld a,(BYTE4)
 cp e
 jp nz,LOCK
 ret



MENU:
 ROM_CALL(CLEARLCD)
 ld hl,$0000
 ld (CURSOR_POS),hl
 ld hl,MenuData_MainMenu
 ROM_CALL(D_ZT_STR)
Loop200:
 call GET_KEY
 cp G_1
 JP z,LOCKPRE
 cp G_2
 JP z,CHANGEPRE
 cp G_3
 jp z,About
 cp G_4
 JP z,Exit2
 jr Loop200

LOCKPRE:
 call LOCK
 jr MENU

CHANGEPRE:
 call CHANGE
 jr MENU





CHANGE:
 ROM_CALL(CLEARLCD)
 ld hl,$0000
 ld (CURSOR_POS),hl
 ld hl,NEW
 ROM_CALL(D_ZT_STR)
 ld hl,$0002
 ld (CURSOR_POS),hl
CHANGE1:
 call GET_KEY
 ld l,a
 cp G_NONE
 jr z,CHANGE1
 ld a,l
 ld (BYTE1),a
 ld hl,AST1
 ROM_CALL(D_ZT_STR)
CHANGE2:
 call GET_KEY
 ld l,a
 cp G_NONE
 jr z,CHANGE2
 ld a,l
 ld (BYTE2),a
 ld hl,AST1
 ROM_CALL(D_ZT_STR)
CHANGE3:
 call GET_KEY
 ld l,a
 cp G_NONE
 jr z,CHANGE3
 ld a,l
 ld (BYTE3),a
 ld hl,AST1
 ROM_CALL(D_ZT_STR)
CHANGE4:
 call GET_KEY
 ld l,a
 cp G_NONE
 jr z,CHANGE4
 ld a,l
 ld (BYTE4),a
 ld hl,AST1
 ROM_CALL(D_ZT_STR)
 ld hl,$0004
 ld (CURSOR_POS),hl
 ld hl,PASSS
 ROM_CALL(D_ZT_STR)
 call PAUSE
 ret
PAUSE:
 call GET_KEY
 cp G_NONE
 ret nz
 jr PAUSE
Exit2:
 ret



SETUP:
 call CHANGE
 ROM_CALL(CLEARLCD)
 ld hl,$0000
 ld (CURSOR_X),hl
 ld hl,Setup_complete
 ROM_CALL(D_ZM_STR)
Loop6:
 call GET_KEY
 cp G_ENTER
 ret z
 jr Loop6




About:
 ROM_CALL(CLEARLCD)
 ld hl,$0000
 ld (CURSOR_POS),hl
 ld hl,AboutT
 set 3,(IY+5)
 ROM_CALL(D_ZT_STR)
 res 3,(IY+5)
 ld hl,$0001
 ld (CURSOR_POS),hl
 ld hl,Dash
 ROM_CALL(D_ZT_STR)
 ld hl,$0002
 ld (CURSOR_POS),hl
 ld hl,Jamie
 ROM_CALL(D_ZT_STR)
Loop10:
 call GET_KEY
 cp G_ENTER
 jp z,MENU
 jp Loop10




 
PASS:
.db $05,"Enter Password",$CF,0
.end
Dash:
.db "----------------",0
.end
NUMBER:
.ds 2
BYTE1:
.ds 1
BYTE2:
.ds 1
BYTE3:
.ds 1
BYTE4:
.ds 1
BYTE5:
.ds 1
BYTE6:
.ds 1
BYTE7:
.ds 1
BYTE8:
.ds 1
SPECIAL:
.ds 1
PASSS:
.db "Password updated",0
.end
NEW:
.db "insert new pass."
.db "----------------",0
.end
AST1:
.db "*",0
.end
MenuData_MainMenu:
.db $05,"CalcLock v1.7a",$CF
.db "1)Lock Calc     "
.db "2)Chnge Password"
.db "3)About         "
.db "4)Exit to Crash ",0

.end



Setup_complete:
.db "             Setup complete.",0



AboutT:
.db " About CalcLock ",0

Jamie:
.db "      By        "
.db "  Jamie Smith   "
.db "BioJayC@aol.com "
.db " www.geocities  "
.db " .com/biojayc   ",0



.end